# ---
# title: Julia Tutorial
# id: julia
# date: 2023-6-5
# cover: ../assets/julialang_logo_icon.png
# author: "[Sasha Petrenko](https://github.com/AP6YC)"
# julia: 1.9
# description: This demo provides a quick example of how to run a Julia script.
# ---

# ## Overview

# This demo shows how to interact with Julia to get started with `DCCR` experiments.

# ## Setup

# Just as in most languages, dependencies are usually loaded first in Julia scripts.
# These dependences are included through either `using` or `import` statements:

## `using` brings all of the names that are exported by the package into this context
using Dates

## `import` simply brings the name itself without exports, so to use sub components
import Downloads

# ## Running Julia Code

# To run Julia code, open the REPL in a command terminal with `julia`:

# TODO

# ## Additional Reading

# This example reveals just the tip of the iceberg of how to write and run Julia code.
# To learn more about the Julia programming language, see the extensive [Official Julia Documentation](https://docs.julialang.org/en/v1/).
# The [Manual](https://docs.julialang.org/en/v1/manual/getting-started/) contains all information necessary to understand the syntax and workings of the language itself.
# The [Base](https://docs.julialang.org/en/v1/base/base/) documentation lists the essential native types and utilities embedded in the language.
# The [Standard Library](https://docs.julialang.org/en/v1/stdlib/ArgTools/) is a collection of additional packages that are so useful that they are always available in Julia without additional installation.
